Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class RPCMethodCall

    java.lang.Object
      org.deegree.enterprise.control.RPCMethodCall

    public class RPCMethodCall

extends Object

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Constructor Summary
`RPCMethodCall(String methodeName, RPCParameter[] parameters)`

Method Summary
`String` | `getMethodName()` returns the name of the remote procedure
`RPCParameter[]` | `getParameters()` returns an array of `RPCParameter`parameter that are passed to the remote procedure.``

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCMethodCall

    RPCMethodCall(String methodeName,
                  RPCParameter[] parameters)

Parameters:
  `methodeName` - name of the remote procedure
  `parameters` - parameters that are passed to the remote procedure

Method Detail

### getMethodName

    public String getMethodName()

  returns the name of the remote procedure

  Returns:
    name of the remote procedure

### getParameters

    public RPCParameter[] getParameters()

  returns an array of `RPCParameter`parameter that are passed to the remote procedure. The parameters are returned in the same order as they are passed to the remote procedure

  ``
  Returns:
    parameters that are passed to the remote procedure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org